xoops forums

spidersilk

Just popping in
Posted on: 2006/3/14 7:58
spidersilk
spidersilk (Show more)
Just popping in
Posts: 28
Since: 2005/11/10
#1

Alternate editors in News 1.44 (SPAW, FCK, etc.) - how to install?

I developed a XOOPS site a few months ago for a client, which currently uses AMS with the Koivi editor, but the client is very unhappy with that combination (as detailed here).

I don't want to recap that topic, but basically, they don't to do more than very minimal editing online - they want to be able to do the bulk of their editing offline in Word and then just copy and paste it in. And yes, I know Word sucks, and they're beginning to realize it too, but it's still the industry standard Word processor and even if they stopped using it, all their writers (they're an online magazine) would still be submitting their articles as Word documents because it's what everyone else uses. (And no, they don't want to let the writers submit their articles directly online.)

Anyway, a number of people have suggested switching from AMS to News 1.44, because among other things it supports a variety of different text editors. So I've set up a test site with News 1.44 for them to try out, and indeed it does say in the preferences you can pick from six editors - DHTML, Compact, SPAW, htmlArea, Koivi and FCK. But it also says "If you have a 'simple' install (e.g you use only XOOPS core editor class, provided in the standard XOOPS core package), then you can just select DHTML and Compact."

What exactly does that mean? I just installed XOOPS (2.0.13.2) with the install script, and I suppose maybe that makes it 'simple', because when I try enabling the other editors, I just get no editing area at all. I searched online and was able to find FCK and SPAW and download them, but the docs make no reference to XOOPS - they seem to be designed for programmers who want to use them in their own programs, not people trying to use them with an existing CMS. So I have no idea how to install them so that they will work with the News module, and News doesn't appear to have any documentation of its own. Is there any kind of info on this available anywhere?

FCK looks like the best bet because it says specifically that it supports copying from Word and even cleans up Word's awful HTML automatically, but I have no idea how to make it work with News. Someone in another thread said they thought it only worked with XOOPS 2.2 (the one with the "Not Recommended!" warnings all over it...), but the News 1.44 supports it and is supposed to work with XOOPS 2.0.

All I know is, I need to get them some kind of alternative to AMS/Koivi, and soon, if I don't want them to demand I rebuild the site from scratch in a completely different CMS...

nachenko

Quite a regular
Posted on: 2006/3/20 11:30
nachenko
nachenko (Show more)
Quite a regular
Posts: 356
Since: 2005/1/18
#2

Re: Alternate editors in News 1.44 (SPAW, FCK, etc.) - how to install?

I have same problem. I've tried to upload spaw and FCK editor in class/xoopseditor folder, but when i select them from the News preferences menu, i still see default DHTML editor.

Koivi works fine, but it's "too heavy" for what i need.

noisia

Not too shy to talk
Posted on: 2006/7/7 8:01
noisia
noisia (Show more)
Not too shy to talk
Posts: 123
Since: 2004/8/24
#3

Re: Alternate editors in News 1.44 (SPAW, FCK, etc.) - how to install?

I have the same problem with XOOPS (2.0.13.2)

The editing fields do not turn up when I select koivi, spaw or FCK.

I have installed news 1.44 on previous XOOPS versions without problem...

I hope someone can give a solution.

McDonald

Home away from home
Posted on: 2006/7/7 8:27
McDonald
McDonald (Show more)
Home away from home
Posts: 1072
Since: 2005/8/15
#4

Re: Alternate editors in News 1.44 (SPAW, FCK, etc.) - how to install?

@noisia

The editors have to be installed seperately. I don't know if FCK and Spaw will work, but Koivi does.
You can download the Koivi editor here.